## org.w3c.dom.svg
Class SVGException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.w3c.dom.svg.SVGException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SVGOMException

public abstract class SVGException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Field Summary
`short` `code`
`static short` `SVG_INVALID_VALUE_ERR`
`static short` `SVG_MATRIX_NOT_INVERTABLE`
`static short` `SVG_WRONG_TYPE_ERR`

Constructor Summary
`SVGException(short code, java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

### SVG_WRONG_TYPE_ERR

    public static final short SVG_WRONG_TYPE_ERR

See Also:
  Constant Field Values

### SVG_INVALID_VALUE_ERR

    public static final short SVG_INVALID_VALUE_ERR

See Also:
  Constant Field Values

### SVG_MATRIX_NOT_INVERTABLE

    public static final short SVG_MATRIX_NOT_INVERTABLE

See Also:
  Constant Field Values

Constructor Detail

### SVGException

    public SVGException(short code,
                        java.lang.String message)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.